Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Virtual Tags

Server
Download schema

Activate virtual tag

POST
https://api.costfluent.com
/v1/virtual-tags/{virtualTagId}/activate
Bearer (API token)

Activates an inactive virtual tag

Activate virtual tag › path Parameters

​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required

Activate virtual tag › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Activate virtual tag › Responses

No Content

No data returned
POST/v1/virtual-tags/{virtualTagId}/activate
curl 'https://api.costfluent.com/v1/virtual-tags/:virtualTagId/activate?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

List virtual tags

GET
https://api.costfluent.com
/v1/virtual-tags
Bearer (API token)

Returns all virtual tags for a workspace

List virtual tags › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required
activeOnly
​boolean · required
page
​integer · int32 · required
limit
​integer · int32 · required

List virtual tags › Responses

Success

CostfluentPublicApiModelsV1CommonPaginatedResponseOfVirtualTagResponse
​CostfluentPublicApiModelsV1CommonPaginationLinks · required
​CostfluentPublicApiModelsV1ResponsesVirtualTagResponse[] · required
GET/v1/virtual-tags
curl 'https://api.costfluent.com/v1/virtual-tags?workspaceId=[object Object]&activeOnly=<bool>&page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": { "Value": "Value" }, "key": "key", "description": "description", "computationMode": "computationMode", "rules": "rules", "defaultValue": "defaultValue", "priority": 0, "status": "status", "lastComputedAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

Create virtual tag

POST
https://api.costfluent.com
/v1/virtual-tags
Bearer (API token)

Creates a new virtual tag

Create virtual tag › Request Body

CostfluentPublicApiModelsV1RequestsCreateVirtualTagRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
key
​string · minLength: 0 · maxLength: 255 · required
computationMode
​CostfluentDomainEnumsComputationMode · enum · required
Enum values:
precompute
queryTime
rules
​string · minLength: 1 · required
description
​string | null
defaultValue
​string | null
priority
​integer · int32

Create virtual tag › Responses

Success

CostfluentPublicApiModelsV1ResponsesVirtualTagCreatedResponse
​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required
key
​string · required
POST/v1/virtual-tags
curl https://api.costfluent.com/v1/virtual-tags \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "key": "key", "computationMode": "precompute", "rules": "rules", "description": "description", "defaultValue": "defaultValue", "priority": 0 }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "key": "key", "computationMode": "precompute", "rules": "rules", "description": "description", "defaultValue": "defaultValue", "priority": 0 }
json
Example Responses
{ "id": { "Value": "Value" }, "key": "key" }
json
application/json

Deactivate virtual tag

POST
https://api.costfluent.com
/v1/virtual-tags/{virtualTagId}/deactivate
Bearer (API token)

Deactivates a virtual tag

Deactivate virtual tag › path Parameters

​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required

Deactivate virtual tag › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Deactivate virtual tag › Responses

No Content

No data returned
POST/v1/virtual-tags/{virtualTagId}/deactivate
curl 'https://api.costfluent.com/v1/virtual-tags/:virtualTagId/deactivate?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Get virtual tag

GET
https://api.costfluent.com
/v1/virtual-tags/{virtualTagId}
Bearer (API token)

Returns a specific virtual tag

Get virtual tag › path Parameters

​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required

Get virtual tag › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get virtual tag › Responses

Success

CostfluentPublicApiModelsV1ResponsesVirtualTagResponse
​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required
key
​string · required
computationMode
​string · required
rules
​string · required
status
​string · required
description
​string | null
defaultValue
​string | null
priority
​integer · int32
lastComputedAt
​string | null · date-time
createdAt
​string · date-time
updatedAt
​string | null · date-time
GET/v1/virtual-tags/{virtualTagId}
curl 'https://api.costfluent.com/v1/virtual-tags/:virtualTagId?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "key": "key", "description": "description", "computationMode": "computationMode", "rules": "rules", "defaultValue": "defaultValue", "priority": 0, "status": "status", "lastComputedAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete virtual tag

DELETE
https://api.costfluent.com
/v1/virtual-tags/{virtualTagId}
Bearer (API token)

Deletes a virtual tag

Delete virtual tag › path Parameters

​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required

Delete virtual tag › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Delete virtual tag › Responses

No Content

No data returned
DELETE/v1/virtual-tags/{virtualTagId}
curl 'https://api.costfluent.com/v1/virtual-tags/:virtualTagId?workspaceId=[object Object]' \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Update virtual tag

PATCH
https://api.costfluent.com
/v1/virtual-tags/{virtualTagId}
Bearer (API token)

Updates a virtual tag

Update virtual tag › path Parameters

​CostfluentSharedKernelPublicIdsVirtualTagPublicId · required

Update virtual tag › Request Body

CostfluentPublicApiEndpointsV1VirtualTagsUpdateVirtualTagRouteRequest

Update virtual tag › Responses

No Content

No data returned
PATCH/v1/virtual-tags/{virtualTagId}
curl https://api.costfluent.com/v1/virtual-tags/:virtualTagId \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

WorkspacesVirtual-Tags